import { quiskMountFactory } from "@/helper/mount";
import RelicsEdit from "./relics-edit.vue";
import DeviceEdit from "./device-edit.vue";
import SceneSelect from "./scene-select.vue";
import OrganizationAdd from "./organization-add.vue";
import OrganizationEdit from "./organization-edit.vue";
import UsersAdd from "./users-add.vue";
import UsersEdit from "./users-edit.vue";
import UsersPasswordEdit from "./users-password-edit.vue";

export const relicsEdit = quiskMountFactory(RelicsEdit, {
  title: "创建文物",
  width: 520,
});
export const deviceEdit = quiskMountFactory(DeviceEdit, {
  title: "添加设备",
  width: 486,
});

export const selectScenes = quiskMountFactory(SceneSelect, {
  title: "选择场景",
  width: 1000,
});

export const organizationAdd = quiskMountFactory(OrganizationAdd, {
  title: "添加单位",
  width: 520,
});

export const organizationEdit = quiskMountFactory(OrganizationEdit, {
  title: "编辑单位",
  width: 520,
});

export const usersAdd = quiskMountFactory(UsersAdd, {
  title: "创建用户",
  width: 520,
});
export const usersEdit = quiskMountFactory(UsersEdit, {
  title: "编辑用户",
  width: 520,
});
export const usersPasswordEdit = quiskMountFactory(UsersPasswordEdit, {
  title: "修改密码",
  width: 520,
});
